View Issue Details

IDProjectCategoryView StatusLast Update
0005005Talerbank (demonstrator)public2017-06-06 14:18
ReporterChristian GrothoffAssigned ToMarcello Stanisci 
PriorityurgentSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0005005: /admin/add/incoming should return serial ID of created record
DescriptionFor /history, we specify record selection by serial ID. For the testcases I am writing, I need to know the serial IDs chosen, and as postgres doesn't guarantee that they are sequential, I cannot guess them either. Not to mention it does generally make sense to return some UUID for the transaction from TALER_BANK_AdminAddIncomingResultCallback. I'm modifying libtalerbank accordingly, but the API and Python bank should be changed as well.

(Right now, 200 OK returns an empty response, so returning some proper success message is a good idea anyway, and "{serialid=NUMBER}" makes sense.)

Note also that you can get the serial ID using "INSERT ... RETURNING" in Postgres. See: https://www.postgresql.org/docs/current/static/sql-insert.html
TagsNo tags attached.

Relationships

related to 0004964 closedMarcello Stanisci bank needs API to query transaction history of user 

Activities

Christian Grothoff

2017-05-07 20:17

manager   ~0012113

Actually, also getting the execution date (timestamp) would be nice and should also be trivial.

Marcello Stanisci

2017-05-09 11:20

manager   ~0012118

fixed in f97a7eb. Note that the object returned is {"row_id": x, "timestamp": "/Date(y)/"}. I decided for "row_id" as we use this in other parts of the bank's API.

Issue History

Date Modified Username Field Change
2017-05-07 19:23 Christian Grothoff New Issue
2017-05-07 19:23 Christian Grothoff Status new => assigned
2017-05-07 19:23 Christian Grothoff Assigned To => Marcello Stanisci
2017-05-07 19:24 Christian Grothoff Relationship added related to 0004964
2017-05-07 20:17 Christian Grothoff Note Added: 0012113
2017-05-07 21:17 Christian Grothoff Priority normal => urgent
2017-05-09 11:20 Marcello Stanisci Status assigned => resolved
2017-05-09 11:20 Marcello Stanisci Resolution open => fixed
2017-05-09 11:20 Marcello Stanisci Note Added: 0012118
2017-05-09 13:37 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed